package com.gz.service.archive;

import com.github.pagehelper.PageInfo;
import com.gz.dto.archive.ArchiveDTO;
import com.gz.vo.archive.SearchArchiveVO;

import java.util.List;

public interface ArchiveService {
    /**
     * @description 增
     * @author LiuChangLan
     * @since 2020/9/4 14:46
     */
    Integer insert(ArchiveDTO dto);

    /**
     * @description 删
     * @author LiuChangLan
     * @since 2020/9/4 14:46
     */
    Integer delete(Integer id);

    /**
     * @description 改
     * @author LiuChangLan
     * @since 2020/9/4 14:46
     */
    Integer update(ArchiveDTO dto);

    /**
     * @description 查
     * @author LiuChangLan
     * @since 2020/9/4 14:46
     */
    List<ArchiveDTO> selectAll();

    /**
     * @description 分页查询
     * @author LiuChangLan
     * @since 2020/9/4 14:46
     */
    PageInfo<ArchiveDTO> selectByPage(SearchArchiveVO vo);

    /**
     * @description 根据主键查询
     * @author LiuChangLan
     * @since 2020/9/4 16:36
     */
    ArchiveDTO selectByPrimaryKey(Integer id);

}
